%?mingw_package_header

Name:           mingw-dbus
Version:        1.8.16
Release:        %mkrel 4
Summary:        MinGW Windows port of D-Bus

License:        GPLv2+ or AFL
Group:          Development/Other
URL:            http://www.freedesktop.org/wiki/Software/dbus
Source0:        http://dbus.freedesktop.org/releases/dbus/dbus-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  mingw32-filesystem >= 95
BuildRequires:  mingw32-gcc
BuildRequires:  mingw32-binutils
BuildRequires:  mingw32-glib2
BuildRequires:  mingw32-expat

BuildRequires:  mingw64-filesystem >= 95
BuildRequires:  mingw64-gcc
BuildRequires:  mingw64-binutils
BuildRequires:  mingw64-glib2
BuildRequires:  mingw64-expat


%description
D-BUS is a system for sending messages between applications. It is
used both for the system wide message bus service, and as a
per-user-login-session messaging facility.

# Win32
%package -n mingw32-dbus
Summary:        MinGW Windows port of D-Bus
Requires:       pkgconfig

%description -n mingw32-dbus
D-BUS is a system for sending messages between applications. It is
used both for the system wide message bus service, and as a
per-user-login-session messaging facility.

%package -n mingw32-dbus-static
Summary:        Static version of MinGW Windows port of DBus library
Requires:       mingw32-dbus = %{version}-%{release}
Group:          Development/Other

%description -n mingw32-dbus-static
D-BUS is a system for sending messages between applications. It is
used both for the system wide message bus service, and as a
per-user-login-session messaging facility.

Static version of MinGW Windows port of DBus library

# Win64
%package -n mingw64-dbus
Summary:        MinGW Windows port of D-Bus
Requires:       pkgconfig

%description -n mingw64-dbus
D-BUS is a system for sending messages between applications. It is
used both for the system wide message bus service, and as a
per-user-login-session messaging facility.

%package -n mingw64-dbus-static
Summary:        Static version of MinGW Windows port of DBus library
Requires:       mingw64-dbus = %{version}-%{release}
Group:          Development/Other

%description -n mingw64-dbus-static
D-BUS is a system for sending messages between applications. It is
used both for the system wide message bus service, and as a
per-user-login-session messaging facility.

Static version of MinGW Windows port of DBus library


%?mingw_debug_package


%prep
%setup -q -n dbus-%{version}


%build
%mingw_configure
%mingw_make %{?_smp_mflags}


%install
%mingw_make_install DESTDIR=$RPM_BUILD_ROOT

# Remove .la files
find $RPM_BUILD_ROOT -name "*.la" -delete

# Remove manpages because they duplicate what's in the
# Fedora native package already.
rm -rf $RPM_BUILD_ROOT%{mingw32_docdir}/dbus
rm -rf $RPM_BUILD_ROOT%{mingw64_docdir}/dbus

# The init.d script is unneeded for Win32 environments so it can be dropped
rm -r $RPM_BUILD_ROOT%{mingw32_sysconfdir}/rc.d/init.d/messagebus
rm -r $RPM_BUILD_ROOT%{mingw64_sysconfdir}/rc.d/init.d/messagebus


# Win32
%files -n mingw32-dbus
%doc COPYING
%{mingw32_bindir}/dbus-daemon.exe
%{mingw32_bindir}/dbus-launch.exe
%{mingw32_bindir}/dbus-monitor.exe
%{mingw32_bindir}/dbus-send.exe
%{mingw32_bindir}/libdbus-1-3.dll
%{mingw32_libdir}/libdbus-1.dll.a
%{mingw32_libdir}/pkgconfig/dbus-1.pc
%{mingw32_sysconfdir}/dbus-1/
%{mingw32_includedir}/dbus-1.0/
%{mingw32_libdir}/dbus-1.0/

%files -n mingw32-dbus-static
%{mingw32_libdir}/libdbus-1.a

# Win64
%files -n mingw64-dbus
%doc COPYING
%{mingw64_bindir}/dbus-daemon.exe
%{mingw64_bindir}/dbus-launch.exe
%{mingw64_bindir}/dbus-monitor.exe
%{mingw64_bindir}/dbus-send.exe
%{mingw64_bindir}/libdbus-1-3.dll
%{mingw64_libdir}/libdbus-1.dll.a
%{mingw64_libdir}/pkgconfig/dbus-1.pc
%{mingw64_sysconfdir}/dbus-1/
%{mingw64_includedir}/dbus-1.0/
%{mingw64_libdir}/dbus-1.0/

%files -n mingw64-dbus-static
%{mingw64_libdir}/libdbus-1.a




%changelog
* Sat Sep 26 2020 tv <tv> 1.8.16-4.mga8
+ Revision: 1630230
- rebuild for new mingw stack

* Wed Feb 12 2020 umeabot <umeabot> 1.8.16-3.mga8
+ Revision: 1492003
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.8.16-2.mga7
+ Revision: 1264269
- Mageia 7 Mass Rebuild

* Thu Apr 07 2016 tv <tv> 1.8.16-1.mga6
+ Revision: 999148
- new release

* Thu Feb 04 2016 umeabot <umeabot> 1.6.12-4.mga6
+ Revision: 935227
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.6.12-3.mga5
+ Revision: 743928
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.6.12-2.mga5
+ Revision: 682421
- Mageia 5 Mass Rebuild

* Fri Oct 25 2013 neoclust <neoclust> 1.6.12-1.mga4
+ Revision: 546959
- imported package mingw-dbus

